package com.inspect.base.core.enums;

/**
 * @author WGY
 * 点位状态 0-异常 1-正常 2-待人工确认 3-已撤销（忽略） 4-跟踪（告警） 5-确认（告警） 6-缺陷
 * @create 2026-03-27 15:47
 **/
public enum PointStatusEnum {
    ABNORMAL("0", "异常"),
    NORMAL("1", "正常"),
    WAIT_MANUAL_CONFIRMATION("2", "待人工确认"),
    REVOKED("3", "已撤销（忽略）"),
    TRACKING("4", "跟踪（告警）"),
    CONFIRMED("5", "确认（告警）"),
    DEFECT("6", "缺陷");

    private final String code;
    private final String info;

    PointStatusEnum(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return this.code;
    }

    public String getInfo() {
        return this.info;
    }
}
